using System;
using System.Collections.Generic;
using UnityEngine;

namespace CarMod
{
	public class CarMod : MonoBehaviour
	{
		public static void Main()
		{

		ModAPI.Register(
	 new Modification()
	 {
		OriginalItem = ModAPI.FindSpawnable("Car"),
		NameOverride = "Toyota Camry",
		NameToOrderByOverride = "!",
		DescriptionOverride = "Wow, it's <color=orange>cool",
		CategoryOverride = ModAPI.FindCategory("Vehicles"),
		ThumbnailOverride = ModAPI.LoadSprite("Cars/Camry/Thumb.png"),
		AfterSpawn = (Instance) =>
		{
		        Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
			Instance.transform.Find("Body").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Cars/Camry/Boby.png"),
                                };
			Instance.transform.Find("Bonnet").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Cars/Camry/Bonnet.png"),
                                };
			Instance.transform.Find("Boot").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Cars/Camry/Boot.png"),
                                };
			Instance.transform.Find("FrontDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Cars/Camry/FrontDoor.png"),
                                };
			Instance.transform.Find("BackDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Cars/Camry/BackDoor.png"),
                                };
                        Instance.transform.Find("Body").Find("CarBodyBackground").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Cars/Camry/Backgrond.png");
		       }
		  }
	     );
	}
    }
}

